Skip to main content
`Ctrl`+`K`

# SVDSetTrackAll

Specifies if the solver must compute the residual norm of all approximate singular value or not.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDSetTrackAll(SVD svd,PetscBool trackall)

Logically Collective

## Input Parameters

- svd - the singular value solver context

- trackall - whether to compute all residuals or not

## Notes

If the user sets `trackall`=`PETSC_TRUE` then the solver computes (or estimates) the residual norm for each singular value approximation. Computing the residual is usually an expensive operation and solvers commonly compute only the residual associated to the first unconverged singular value.

The option `-svd_monitor_all` automatically activates this option.

## See Also

SVD: Singular Value Decomposition, `SVDGetTrackAll()`

## Level

developer

## Location

src/svd/interface/svdopts.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages